Description
relatetd to Issue #1565

i tried to get a issue-list displaying my issues with due_date today using a direct Link:
http://redmine.sample.de/issues?assigned_to_id=me&due_date=t&set filter=1

it's working somehow, but not the way i want

Redmine is displaying a List with a due-filter set like "less_than t days", what doesn't make sense.
Next try was setting the due_date parameter to 1 to get the issues to be finished today or tomorrow.
http://redmine.cf-intern.de/issues?assigned to_id=me&due_date=1&set _filter=1

doesn't work too - redmine shows an empty list. Setting the same parameter in the filter-option is working.

Question: how can i set these parameters using a Link
(i know - filters is using post method, but as in "mypage->show my issues" should be woking using get too?)

History

#1 - 2011-07-29 11:50 - Thomas Lober

Hi Thomas,
if you want to use special operators like "today" you will need to use the "fields" parameter.

The "fields" array lists all the filters you want to use. Every filter requires two additional parameters: "operators" and the "values" array. You will have
to add them even if their value is empty.

So here is the parameters list for your query:

set_filter=1&fields[]=status_id&operators[status_id]=o&values[status_id][]=&fields[]=assigned_to_id&operators|
assigned_to_id]==&values[assigned_to_id] []=me&fields[]=due_date&operators[due_date]=t&values[due_date][]=
Thomas

#2 - 2011-07-29 13:44 - thomas jahn

- Status changed from New to Resolved

ah, got it, but i wonder why the following example is working then:
(it's used on "my page/my issues ->show more")
http://redmine.sample.de/issues?assigned_to_id=med&set_filter=1

#3 - 2011-07-29 14:12 - Thomas Léber

If you only need the operators "is", "is not", "none" or "all" you may use the shorter parameter list:
assigned_to_id=me

assigned_to_id=!me

assigned_to_id=!*

assigned_to_id=*

BTW: In Redmine 1.2 you can also use "f" for "fields", "op" for "operators" and "v" for "values":

set_filter=1&¢f[]=status_idé&op[status_id]=o&v([status_id] []=&f[]l=assigned_to_id&oplassigned_to_id]==&v[assigned_
to_id] []=me&f[]=due_date&op[due_date]=t&v[due_date] []1=
https://www.redmine.org/issues/1565
http://redmine.sample.de/issues?assigned_to_id=me&due_date=t&set_filter=1
http://redmine.cf-intern.de/issues?assigned_to_id=me&due_date=1&set_filter=1
http://redmine.sample.de/issues?assigned_to_id=me&set_filter=1

#4 - 2011-07-30 11:03 - Jean-Philippe Lang

- Status changed from Resolved to Closed

In 1.2, filters are applied using non-ajax request. So you can apply whatever filter you want and just copy/bookmark the URL.

#5 - 2016-08-11 17:36 - Alex Last

hi guys! is there a wiki page on this search syntax? | submitted a question on forum: how to use multi-fields search for issues in REST api?
